# Generated by Django 3.2 on 2021-04-19 08:51

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('app', '0004_auto_20210418_1929'),
    ]

    operations = [
        migrations.CreateModel(
            name='Likes',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('count_likes', models.IntegerField(default=0)),
            ],
            options={
                'verbose_name': 'Лайки',
                'verbose_name_plural': 'Лайки',
            },
        ),
        migrations.AddField(
            model_name='answer',
            name='likes',
            field=models.OneToOneField(default=0, on_delete=django.db.models.deletion.CASCADE, to='app.likes'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='question',
            name='likes',
            field=models.OneToOneField(default=0, on_delete=django.db.models.deletion.CASCADE, to='app.likes'),
            preserve_default=False,
        ),
    ]
